/* ----------------------------------------------------------------------------
 * This file was automatically generated by SWIG (http://www.swig.org).
 * Version 1.3.40
 *
 * Do not make changes to this file unless you know what you are doing--modify
 * the SWIG interface file instead.
 * ----------------------------------------------------------------------------- */

package org.scilab.modules.xpad;


 /** 
   * @author Allan CORNET - DIGITEO 2009
   */
public class ScilabKeywordsJNI {

  /**
    * Constructor
    */
  protected ScilabKeywordsJNI() {
	throw new UnsupportedOperationException();
  }

  static {
    try {
        System.loadLibrary("scixpad");
    } catch (SecurityException e) {
		System.err.println("A security manager exists and does not allow the loading of the specified dynamic library :");
		e.printStackTrace(System.err);
	} catch (UnsatisfiedLinkError e) {
	  	if (System.getenv("CONTINUE_ON_JNI_ERROR") == null) {
		   System.err.println("The native library xpad does not exist or cannot be found.");
		   e.printStackTrace(System.err);
		}
    }
  }

  public final static native String[] GetVariablesName();
  public final static native String[] GetCommandsName();
  public final static native String[] GetFunctionsName();
  public final static native String[] GetMacrosName();
}
